## flatpak 1.16.0

=== debian/changelog ===
flatpak (1.16.0-2) unstable; urgency=medium

  * d/changelog: Fix Ubuntu version information in 1.15.91-1 changelog.
    Ubuntu 22.04 still needed .pkla files, it is only 24.04 that has
    caught up with upstream polkitd.
  * d/flathub.flatpakrepo, d/flatpak.examples:
    Provide the address and GPG key for Flathub
  * d/p/debian/system-helper-Set-Debian-s-canonical-home-directory-for-s.patch:
    Make the home directory from sysusers.d consistent with adduser

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Mar 2025 13:09:49 +0000

flatpak (1.16.0-1) unstable; urgency=medium

  * New upstream stable release
  * d/gbp.conf, d/watch: Track Flatpak 1.16.x for trixie
  * d/test.sh: Set a longer test timeout for non-x86 architectures.
    Some (perhaps all?) of the hppa buildds in Debian Ports are actually
    x86_64 machines emulating hppa with qemu, and the same might in
    principle be true for any other -ports architecture: there is no
    documented way to know this.
    Allowing 3x timeouts on x86 and 20x on other architectures has worked
    well for GLib, so do the same here.

 -- Simon McVittie <smcv@debian.org>  Thu, 09 Jan 2025 19:11:42 +0000

=== debian/control ===
Source: flatpak
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthias Klumpp <mak@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 attr <!nocheck>,
 bison,
 bubblewrap (>= 0.10.0~),
 ca-certificates <!nocheck>,
 dbus-daemon,
 debhelper (>= 13.11.6~),
 debhelper-compat (= 13),
 desktop-file-utils <!nocheck>,
 dh-exec (>= 0.23~),
 dh-sequence-gir,
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 fuse3 <!nocheck>,
 gir1.2-gio-2.0-dev,
 gir1.2-gobject-2.0-dev,
 gnupg <!nocheck>,
 gobject-introspection (>= 1.54.1-2~),
 gtk-doc-tools,
 gtk-update-icon-cache <!nocheck>,
 hicolor-icon-theme <!nocheck>,
 libappstream-dev (>= 0.12.0),
 libarchive-dev (>= 2.8.0),
 libattr1-dev,
 libcap-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libdconf-dev,
 libdw-dev,
 libelf-dev,
 libfuse3-dev (>= 3.1.1),
 libgdk-pixbuf-2.0-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.44),
 libgpgme-dev (>= 1.1.8),
 libjson-glib-dev,
 libmalcontent-0-dev (>= 0.4.0),
 libostree-dev (>= 2020.8),
 libpolkit-agent-1-dev,
 libpolkit-gobject-1-dev,
 libseccomp-dev (>= 2.5.2),
 libsystemd-dev,
 libwayland-dev,
 libxau-dev,
 libxml2-dev (>= 2.4),
 libxml2-utils,
 libzstd-dev,
 meson (>= 0.53.0),
 ostree (>= 2020.8) <!nocheck>,
 pkgconf,
 polkitd <!nocheck>,
 procps,
 python3:any,
 python3-pyparsing,
 shared-mime-info <!nocheck>,
 socat <!nocheck>,
 wayland-protocols,
 xdg-dbus-proxy (>= 0.1.0),
 xmlto <!nodoc>,
 xsltproc <!nodoc>,
Build-Depends-Indep:
 libglib2.0-doc,
 libostree-doc,
Standards-Version: 4.7.0
Homepage: https://flatpak.org/
Vcs-Git: https://salsa.debian.org/debian/flatpak.git
Vcs-Browser: https://salsa.debian.org/debian/flatpak
Rules-Requires-Root: no

Package: flatpak
Architecture: linux-any
Depends:
 adduser,
 bubblewrap (>= 0.10.0~),
 fuse3,
 xdg-dbus-proxy (>= 0.1.0),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
 default-dbus-system-bus | dbus-system-bus,
 desktop-file-utils,
 hicolor-icon-theme,
 gtk-update-icon-cache,
 libpam-systemd,
 p11-kit,
 polkitd,
 shared-mime-info,
 xdg-desktop-portal (>= 1.6),
 xdg-desktop-portal-gtk (>= 1.6) | xdg-desktop-portal-backend,
 xdg-user-dirs,
Suggests:
 avahi-daemon,
 malcontent-gui,
Conflicts:
 xdg-app,
Replaces:
 xdg-app,
Description: Application deployment framework for desktop apps
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 Application bundles run partially isolated from the wider system, using
 containerization techniques such as namespaces to prevent direct access
 to system resources. Resources from outside the sandbox can be accessed
 via "portal" services, which are responsible for access control; for
 example, the Documents portal displays an "Open" dialog outside the
 sandbox, then allows the application to access only the selected file.
 .
 Each application uses a specified "runtime", or set of libraries, which is
 available as /usr inside its sandbox. This can be used to run application
 bundles with multiple, potentially incompatible sets of dependencies within
 the same desktop environment.
 .
 This package contains the services and executables needed to install and
 launch sandboxed applications, and the portal services needed to provide
 limited access to resources outside the sandbox.

Package: flatpak-tests
Architecture: linux-any
Section: misc
Depends:
 attr,
 ca-certificates,
 dbus-daemon,
 desktop-file-utils,
 flatpak (= ${binary:Version}),
 gnupg,
 gtk-update-icon-cache,
 hicolor-icon-theme,
 ostree (>= 2020.8),
 polkitd,
 shared-mime-info,
 socat,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 python3,
Description: Application deployment framework for desktop apps (tests)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains automated tests.

Package: gir1.2-flatpak-1.0
Architecture: linux-any
Multi-Arch: same
Section: introspection
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: Application deployment framework for desktop apps (introspection)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings for libflatpak0.

Package: libflatpak-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends:
 gir1.2-glib-2.0,
 gir1.2-flatpak-1.0 (= ${binary:Version}),
 libarchive-dev (>= 2.8.0),
 libcurl4-gnutls-dev | libcurl-dev,
 libdconf-dev,
 libflatpak0 (= ${binary:Version}),
 libglib2.0-dev,
 libgpgme-dev (>= 1.1.8),
 libjson-glib-dev,
 libmalcontent-0-dev (>= 0.4.0),
 libostree-dev (>= 2020.8),
 libpolkit-agent-1-dev,
 libseccomp-dev (>= 2.5.2),
 libsystemd-dev,
 libwayland-dev,
 libxau-dev,
 libxml2-dev (>= 2.4),
 libzstd-dev,
 pkgconf,
 python3:any,
 ${gir:Depends},
 ${misc:Depends},
Recommends:
 flatpak,
Suggests:
 gdb,
 ostree,
 python3-gi,
 systemd-coredump,
Provides:
 ${gir:Provides},
Description: Application deployment framework for desktop apps (development)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains development headers and pkg-config metadata
 for libflatpak0, and the flatpak-coredump and flatpak-bisect scripts used
 to debug Flatpak applications.

Package: libflatpak-doc
Build-Profiles: <!nodoc>
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 devhelp,
Multi-Arch: foreign
Description: Application deployment framework for desktop apps (documentation)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains reference documentation for libflatpak0.

Package: libflatpak0
Architecture: linux-any
Section: libs
Depends:
 bubblewrap (>= 0.10.0~),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: Application deployment framework for desktop apps (library)
 Flatpak installs, manages and runs sandboxed desktop application bundles.
 See the flatpak package for a more comprehensive description.
 .
 This package contains the flatpak shared library, used by higher level
 package management tools like gnome-software.

## flatpak 1.16.1

=== meson_options.txt ===
# Copyright 2022 Collabora Ltd.
# SPDX-License-Identifier: LGPL-2.1-or-later

option(
  'auto_sideloading',
  type : 'boolean',
  description : 'enable systemd units which make Flatpak sideload from inserted USB drives',
  value : false,
)
option(
  'dconf',
  type : 'feature',
  description : 'Use dconf?',
  value : 'auto',
)
option(
  'dbus_config_dir',
  type : 'string',
  description : 'directory for D-Bus system configuration [$sysconfdir/dbus-1/system.d]',
  value : '',
)
option(
  'dbus_service_dir',
  type : 'string',
  description : 'directory for D-Bus session service files [$datadir/dbus-1/services]',
  value : '',
)
option(
  'docbook_docs',
  type : 'feature',
  description : 'build documentation with xmlto',
  value : 'auto',
)
option(
  'docdir',
  type : 'string',
  description : 'documentation directory [$datadir/doc/flatpak]',
  value : '',
)
option(
  'gdm_env_file',
  type : 'boolean',
  description : 'install gdm env.d file (not needed if systemd generators work',
  value : false,
)
option(
  'gir',
  type : 'feature',
  description : 'build GObject-Introspection metadata',
  value : 'auto',
)
option(
  'gtkdoc',
  type : 'feature',
  description : 'build API reference documentation with gtk-doc',
  value : 'auto',
)
option(
  'http_backend',
  type : 'combo',
  description : 'library used to implement HTTP',
  choices : ['curl', 'soup'],
  value : 'curl',
)
option(
  'installed_tests',
  type : 'boolean',
  description : 'install automated tests',
  value : false,
)
option(
  'internal_checks',
  type : 'boolean',
  description : 'enable internal checking',
  value : false,
)
option(
  'libzstd',
  type : 'feature',
  description : 'use libzstd?',
  value : 'auto',
)
option(
  'malcontent',
  type : 'feature',
  description : 'use libmalcontent for parental controls?',
  value : 'auto',
)
option(
  'man',
  type : 'feature',
  description : 'build man pages',
  value : 'auto',
)
option(
  'privileged_group',
  type : 'string',
  description : 'name of root-equivalent group',
  value : 'wheel',
)
option(
  'profile_dir',
  type : 'string',
  description : 'directory for profile.d files',
  value : '',
)
option(
  'run_media_dir',
  type : 'string',
  description : 'location of auto-mounted USB drives]',
  value : '/run/media',
)
option(
  'sandboxed_triggers',
  type : 'boolean',
  description : 'enable sandboxed triggers',
  value : true,
)
option(
  'seccomp',
  type : 'feature',
  description : 'enable seccomp',
  value : 'enabled',
)
option(
  'selinux_module',
  type : 'feature',
  description : 'enable selinux module for system-helper',
  value : 'auto',
)
option(
  'system_bubblewrap',
  type : 'string',
  description : 'system bwrap executable, or empty string to build subproject',
  value : '',
)
option(
  'system_dbus_proxy',
  type : 'string',
  description : 'system xdg-dbus-proxy executable, or empty string to build subproject',
  value : '',
)
option(
  'system_fusermount',
  type : 'string',
  description : 'system fusermount executable, or empty string to auto-select based on fuse version',
  value : '',
)
option(
  'system_font_cache_dirs',
  type : 'array',
  description : 'directory where the system font cache is',
  value : ['/var/cache/fontconfig', '/usr/lib/fontconfig/cache'],
)
option(
  'system_fonts_dir',
  type : 'string',
  description : 'Directory where system fonts are',
  value : '/usr/share/fonts',
)
option(
  'system_helper',
  type : 'feature',
  description : 'enable system helper',
  value : 'enabled',
)
option(
  'system_helper_user',
  type : 'string',
  description : 'name of the system helper user',
  value : 'flatpak',
)
option(
  'system_install_dir',
  type : 'string',
  description : 'location of system installation [$localstatedir/lib/flatpak]',
  value : '',
)
option(
  'systemdsystemenvgendir',
  type : 'string',
  description : 'directory for systemd system environment generators',
  value : 'lib/systemd/system-environment-generators',
)
option(
  'systemd',
  type : 'feature',
  description : 'build with systemd support',
  value : 'auto',
)
option(
  'systemdsystemunitdir',
  type : 'string',
  description : 'directory for systemd system service files',
  # deliberately lib and not based on get_option('libdir'):
  # this should not be lib64 or lib/x86_64-linux-gnu
  value : 'lib/systemd/system',
)
option(
  'systemduserenvgendir',
  type : 'string',
  description : 'directory for systemd user environment generators',
  value : 'lib/systemd/user-environment-generators',
)
option(
  'systemduserunitdir',
  type : 'string',
  description : 'directory for systemd user service files',
  value : 'lib/systemd/user',
)
option(
  'sysusersdir',
  type : 'string',
  description : 'directory for systemd sysusers.d configuration files',
  value : 'lib/sysusers.d'
)
option(
  'tmpfilesdir',
  type : 'string',
  description : 'directory for systemd tmpfiles.d configuration files',
  value : 'lib/tmpfiles.d'
)
option(
  'tests',
  type : 'boolean',
  description : 'build tests',
  value : true,
)
option(
  'xauth',
  type : 'feature',
  description : 'enable Xauth use',
  value : 'enabled',
)
option(
  'wayland_security_context',
  type : 'feature',
  description : 'enable wayland security-context protocol support',
  value : 'auto',
)
option(
  'xmlto_flags',
  type : 'array',
  description : 'options to pass to xmlto',
  value : [],
)

=== subprojects/libglnx/meson_options.txt ===
# Copyright 2022 Collabora Ltd.
# SPDX-License-Identifier: LGPL-2.0-or-later

option(
  'tests',
  type : 'boolean',
  description : 'build and run unit tests',
  value : true,
)

=== subprojects/variant-schema-compiler/Makefile ===
PREFIX = /usr/local
CC ?= gcc
CFLAGS ?= -g -Wall
PKG_CONFIG ?= pkg-config
GLIB_CFLAGS = `$(PKG_CONFIG) --cflags glib-2.0`
GLIB_LIBS = `$(PKG_CONFIG) --libs glib-2.0`

all: sample ostree_test performance selftests

sample.h: variant-schema-compiler sample.gv
	./variant-schema-compiler --internal-validation --outfile sample-impl.h --outfile-header=sample.h --prefix=sample sample.gv

sample: sample.c sample.h
	$(CC) $(GLIB_CFLAGS) $(CFLAGS) -o sample sample.c $(GLIB_LIBS)

performance.h: variant-schema-compiler performance.gv
	./variant-schema-compiler --outfile performance.h --prefix=performance performance.gv

performance: performance.c performance.h
	$(CC) $(GLIB_CFLAGS) $(CFLAGS) -O2 -o performance performance.c $(GLIB_LIBS)

ostree_test.h: variant-schema-compiler ostree.gv
	./variant-schema-compiler --outfile ostree_test.h --prefix=ot ostree.gv

ostree_test: ostree_test.c ostree_test.h
	$(CC) $(GLIB_CFLAGS) $(CFLAGS) -o ostree_test ostree_test.c $(GLIB_LIBS)

selftests: selftests.c ostree_test.h
	$(CC) $(GLIB_CFLAGS) $(CFLAGS) -o selftests -O2 selftests.c $(GLIB_LIBS)

clean:
	rm -f sample.h sample performance.h performance ostree_test.h ostree_test

.PHONY: install
install: variant-schema-compiler
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	install -T $< $(DESTDIR)$(PREFIX)/bin/variant-schema-compiler

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/variant-schema-compiler

=== debian/changelog ===
flatpak (1.16.1-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2129958). Remaining changes:
    - Fix ppc64el autopkgtests (LP #2121039)
      Enriched the DEP-3 headers to point to upstream repo

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 27 Oct 2025 16:12:57 +0100

flatpak (1.16.1-3) unstable; urgency=medium

  * Fix <!nocheck> builds (Closes: #1116737)
    - d/control: Remove <!nocheck> annotation from fuse3.
      This is required unconditionally (even if not running tests)
      since 1.15.7 upstream, so that the build system can autodetect
      the distro's appropriate path to fusermount3 or fusermount.
    - d/control, d/rules: Tighten up handling of nocheck and noinsttest.
      The upstream build system checks for some programs that are required
      during testing whenever the tests are compiled. If we are under both
      the nocheck and noinsttest build profiles, don't compile the tests,
      so that pkcheck and socat won't be needed in that configuration;
      and otherwise, we need them in Build-Depends.
  * d/control: Remove Rules-Requires-Root, no longer needed since trixie
  * Normalize formatting with debputy

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Sep 2025 17:11:16 +0100

flatpak (1.16.1-2ubuntu1) questing; urgency=medium

  * Fix ppc64el autopkgtests (LP: #2121039)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 27 Aug 2025 18:36:38 +0200

flatpak (1.16.1-2) unstable; urgency=medium

  * d/copyright: Point to GNU web address instead of old FSF postal address
  * d/copyright: Clarify possible interpretations of LGPL-2
  * Stop build-depending on libgirepository1.0-dev.
    Build-depend on gobject-introspection (>= 1.80) instead.
    libgirepository1.0-dev is not multiarch-compatible and should be removed
    during the forky cycle.
  * d/control: Only require gtk-doc-tools, etc. if we are building documentation
  * Prefer the OpenSSL flavour of libcurl.
    This is the one that upstream is going to be testing with in practice.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Aug 2025 22:18:17 +0100

flatpak (1.16.1-1) unstable; urgency=medium

  * New upstream stable release
    - When using parental controls, child accounts can update existing
      apps by default
    - Make systemd scopes easier to match to Flatpak app instances
    - Access to --device=dri now includes /dev/udmabuf
    - Better error message for invalid parametrs to
      `flatpak-spawn --sandbox-a11y-own-name`
    - Speed up `flatpak prune --dry-run`
    - Speed up `flatpak permission-reset`
    - Add support for authenticating to OCI registries using TLS certs
      in /etc/containers/certs.d
    - Fix intermittent flatpak-portal crashes
    - Avoid an unnecessary confirmation prompt when
      `flatpak remove --unused` cleans up, for example, old Nvidia drivers
    - Don't propagate $PYTHONPYCACHEPREFIX from host into sandbox
    - Don't propagate $WAYLAND_DISPLAY, $WAYLAND_SOCKET from host into
      sandbox when access to the actual socket has been denied
    - Use $AT_SPI_BUS_ADDRESS to discover the AT-SPI bus, if set
    - Fix a memory leak while installing extra-data
    - Don't show fatal transaction errors twice
    - Fix the build with -Ddefault_library=static
    - Fix incorrect error reporting
    - Use more interoperable OSC escape sequences for FLATPAK_TTY_PROGRESS
      (this feature is still off by default)
    - Improve shell completion for `flatpak search`
    - Fix an unclear boolean expression (no functional change)
    - Avoid a duplicate redirection in the test suite
    - Translation updates
    - Documentation improvements
    - CI updates
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 12 May 2025 12:10:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,42 @@
 Source: flatpak
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
+# We need polkitd, socat, etc. if !nocheck || !noinsttest
 Build-Depends:
+ debhelper (>= 13.11.6~),
+ debhelper-compat (= 13),
+ dh-exec (>= 0.23~),
+ dh-sequence-gir,
  attr <!nocheck>,
  bison,
  bubblewrap (>= 0.10.0~),
  ca-certificates <!nocheck>,
  dbus-daemon,
- debhelper (>= 13.11.6~),
- debhelper-compat (= 13),
  desktop-file-utils <!nocheck>,
- dh-exec (>= 0.23~),
- dh-sequence-gir,
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
- fuse3 <!nocheck>,
+ fuse3,
  gir1.2-gio-2.0-dev,
  gir1.2-gobject-2.0-dev,
  gnupg <!nocheck>,
- gobject-introspection (>= 1.54.1-2~),
- gtk-doc-tools,
+ gobject-introspection (>= 1.80),
  gtk-update-icon-cache <!nocheck>,
  hicolor-icon-theme <!nocheck>,
  libappstream-dev (>= 0.12.0),
  libarchive-dev (>= 2.8.0),
  libattr1-dev,
  libcap-dev,
- libcurl4-gnutls-dev | libcurl-dev,
+ libcurl4-openssl-dev | libcurl-dev,
  libdconf-dev,
  libdw-dev,
  libelf-dev,
  libfuse3-dev (>= 3.1.1),
  libgdk-pixbuf-2.0-dev,
- libgirepository1.0-dev,
  libglib2.0-dev (>= 2.44),
  libgpgme-dev (>= 1.1.8),
  libjson-glib-dev,
@@ -54,24 +54,25 @@
  meson (>= 0.53.0),
  ostree (>= 2020.8) <!nocheck>,
  pkgconf,
- polkitd <!nocheck>,
+ polkitd <!nocheck> <!noinsttest>,
  procps,
+ python3-pyparsing,
  python3:any,
- python3-pyparsing,
  shared-mime-info <!nocheck>,
- socat <!nocheck>,
+ socat <!nocheck> <!noinsttest>,
  wayland-protocols,
  xdg-dbus-proxy (>= 0.1.0),
  xmlto <!nodoc>,
  xsltproc <!nodoc>,
 Build-Depends-Indep:
- libglib2.0-doc,
- libostree-doc,
-Standards-Version: 4.7.0
+ gtk-doc-tools <!nodoc>,
+ libglib2.0-doc <!nodoc>,
+ libostree-doc <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://flatpak.org/
 Vcs-Git: https://salsa.debian.org/debian/flatpak.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak
-Rules-Requires-Root: no
+X-Style: black
 
 Package: flatpak
 Architecture: linux-any
@@ -86,8 +87,8 @@
  ca-certificates,
  default-dbus-system-bus | dbus-system-bus,
  desktop-file-utils,
+ gtk-update-icon-cache,
  hicolor-icon-theme,
- gtk-update-icon-cache,
  libpam-systemd,
  p11-kit,
  polkitd,
@@ -121,6 +122,7 @@
  limited access to resources outside the sandbox.
 
 Package: flatpak-tests
+Build-Profiles: <!noinsttest>
 Architecture: linux-any
 Section: misc
 Depends:
@@ -165,10 +167,10 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
+ gir1.2-flatpak-1.0 (= ${binary:Version}),
  gir1.2-glib-2.0,
- gir1.2-flatpak-1.0 (= ${binary:Version}),
  libarchive-dev (>= 2.8.0),
- libcurl4-gnutls-dev | libcurl-dev,
+ libcurl4-openssl-dev | libcurl-dev,
  libdconf-dev,
  libflatpak0 (= ${binary:Version}),
  libglib2.0-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

binaries := $(shell dh_listpackages)

%:
	dh $@ --buildsystem=meson

override_dh_autoreconf:

configure_options =

ifneq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
configure_options += -Ddocbook_docs=disabled
else
configure_options += -Ddocbook_docs=enabled
endif

ifneq ($(filter libflatpak-doc,$(binaries)),)
configure_options += -Dgtkdoc=enabled
else
configure_options += -Dgtkdoc=disabled
endif

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter %-tests,$(binaries)),nocheck)
configure_options += -Dinstalled_tests=false -Dtests=false
else
configure_options += -Dinstalled_tests=true -Dtests=true
endif

override_dh_auto_configure:
	rm -f app/parse-datetime.c
	dh_auto_configure -- \
		-Dauto_sideloading=false \
		-Ddbus_config_dir=/usr/share/dbus-1/system.d \
		-Dgdm_env_file=true \
		-Dhttp_backend=curl \
		-Dprivileged_group=sudo \
		-Drun_media_dir=/media \
		-Dselinux_module=disabled \
		-Dsystem_bubblewrap=bwrap \
		-Dsystem_dbus_proxy=xdg-dbus-proxy \
		-Dsystem_helper_user=_flatpak \
		-Dsystemdsystemunitdir=/usr/lib/systemd/system \
		$(configure_options)

override_dh_install:
	install -d debian/tmp/etc/X11/Xsession.d
	install -m644 debian/tmp/etc/profile.d/flatpak.sh \
		debian/tmp/etc/X11/Xsession.d/20flatpak
	dh_install

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(binaries)),)
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/*/*.so
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

override_dh_installsystemd:
	dh_installsystemd --no-start

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/test.sh
endif

override_dh_auto_test-indep:
	@:

=== debian/watch ===
version=4
# Upstream releases official 'meson dist' tarballs, so we use
# those in preference to git tags
opts="\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/@PACKAGE@/@PACKAGE@/tags .*/releases/tag/v?(\d+\.\d*[02468]\.[-+.:~\da-zA-Z]*)

## flatpak 1.16.2

=== debian/changelog ===
flatpak (1.16.2-1~deb13u1) trixie; urgency=medium

  * d/control, d/gbp.conf: Use debian/trixie packaging branch
  * Summary of changes since trixie:
    - New upstream stable release, see 1.16.2-1 changelog
      (Closes: #1114484)
    - Fix FTBFS with DEB_BUILD_OPTIONS=nocheck
      (Closes: #1116737)
    - d/copyright: Point to GNU web address instead of old FSF postal
      address
    - d/copyright: Clarify possible interpretations of LGPL-2
  * Revert changes that are not appropriate for a stable update:
    - Revert "Prefer the OpenSSL flavour of libcurl"
    - Revert "d/control: Only require gtk-doc-tools, etc. if we are
      building documentation"
    - Revert "Stop build-depending on libgirepository1.0-dev"
    - Revert "d/control: Remove Rules-Requires-Root"
    - Revert "Normalize formatting with debputy"

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Dec 2025 17:15:35 +0000

flatpak (1.16.2-1) unstable; urgency=medium

  * New upstream stable release
    - Fix a memory leak in flatpak-session-helper when invoking host
      commands (flatpak-spawn --host) from privileged apps
      (Closes: #1114484)
    - Treat either the xe or i915 kernel module as indicating an Intel GPU,
      not just i915, and install the appropriate VA-API extensions
    - If using GLib 2.86.1 (specifically that version due to a regression
      that was later fixed), avoid exposing $HOME to apps if an XDG special
      directory such as Music is requested by the app but has been disabled
      locally
    - In flatpak-kill(1), make killing processes more robust, and avoid race
      conditions that could lead to the whole process group being killed
    - Allow `flatpak run` or `flatpak install --user` while under
      `sudo -u otheruser` or `sudo -g`, as long as the other user is not root,
      relaxing a check that was only intended to avoid accidents involving
      running as root
    - Provide an empty /run/host/font-dirs.xml during flatpak-build(1),
      avoiding spurious warnings for processes that use fontconfig during
      build-time tests
    - Fix a crash in `flatpak install --include-sdk` if the app is installed
      on a per-user basis but the corresponding SDK is already installed
      system-wide
    - Take the --reinstall option into account when installing a bundle
    - Add a missing argument to fcntl F_DUPFD_CLOEXEC during Flatpak's own
      build-time tests, fixing a test regression with newer glibc on Ubuntu
    - Fix flatpak-pin(1)/flatpak-mask(1) with multiple arguments, by
      reloading configuration when needed
    - Fix an assertion failure in flatpak-build-import-bundle(1)
    - When using the library API, allow http downloads with libcurl to be
      cancelled
    - If an OCI registry only has one image, allow the tag to be omitted
    - Fix a memory leak when using an OCI registry
    - Fix an uninitialized variable
    - Documentation improvements
    - Translation updates: pl
  * d/libflatpak-doc.install:
    Install single-file HTML documentation for the library.
    This was built by Autotools in 1.14.x and disappeared during the switch
    to Meson, but is now built again as a result of upstream fixes.

 -- Simon McVittie <smcv@debian.org>  Fri, 19 Dec 2025 11:38:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,43 @@
 Source: flatpak
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
 # We need polkitd, socat, etc. if !nocheck || !noinsttest
 Build-Depends:
- debhelper (>= 13.11.6~),
- debhelper-compat (= 13),
- dh-exec (>= 0.23~),
- dh-sequence-gir,
  attr <!nocheck>,
  bison,
  bubblewrap (>= 0.10.0~),
  ca-certificates <!nocheck>,
  dbus-daemon,
+ debhelper (>= 13.11.6~),
+ debhelper-compat (= 13),
  desktop-file-utils <!nocheck>,
+ dh-exec (>= 0.23~),
+ dh-sequence-gir,
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
  fuse3,
  gir1.2-gio-2.0-dev,
  gir1.2-gobject-2.0-dev,
  gnupg <!nocheck>,
- gobject-introspection (>= 1.80),
+ gobject-introspection (>= 1.54.1-2~),
+ gtk-doc-tools,
  gtk-update-icon-cache <!nocheck>,
  hicolor-icon-theme <!nocheck>,
  libappstream-dev (>= 0.12.0),
  libarchive-dev (>= 2.8.0),
  libattr1-dev,
  libcap-dev,
- libcurl4-openssl-dev | libcurl-dev,
+ libcurl4-gnutls-dev | libcurl-dev,
  libdconf-dev,
  libdw-dev,
  libelf-dev,
  libfuse3-dev (>= 3.1.1),
  libgdk-pixbuf-2.0-dev,
+ libgirepository1.0-dev,
  libglib2.0-dev (>= 2.44),
  libgpgme-dev (>= 1.1.8),
  libjson-glib-dev,
@@ -56,8 +57,8 @@
  pkgconf,
  polkitd <!nocheck> <!noinsttest>,
  procps,
+ python3:any,
  python3-pyparsing,
- python3:any,
  shared-mime-info <!nocheck>,
  socat <!nocheck> <!noinsttest>,
  wayland-protocols,
@@ -65,14 +66,13 @@
  xmlto <!nodoc>,
  xsltproc <!nodoc>,
 Build-Depends-Indep:
- gtk-doc-tools <!nodoc>,
- libglib2.0-doc <!nodoc>,
- libostree-doc <!nodoc>,
+ libglib2.0-doc,
+ libostree-doc,
 Standards-Version: 4.7.2
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak.git
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git -b debian/trixie
 Vcs-Browser: https://salsa.debian.org/debian/flatpak
-X-Style: black
+Rules-Requires-Root: no
 
 Package: flatpak
 Architecture: linux-any
@@ -87,8 +87,8 @@
  ca-certificates,
  default-dbus-system-bus | dbus-system-bus,
  desktop-file-utils,
+ hicolor-icon-theme,
  gtk-update-icon-cache,
- hicolor-icon-theme,
  libpam-systemd,
  p11-kit,
  polkitd,
@@ -167,10 +167,10 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
+ gir1.2-glib-2.0,
  gir1.2-flatpak-1.0 (= ${binary:Version}),
- gir1.2-glib-2.0,
  libarchive-dev (>= 2.8.0),
- libcurl4-openssl-dev | libcurl-dev,
+ libcurl4-gnutls-dev | libcurl-dev,
  libdconf-dev,
  libflatpak0 (= ${binary:Version}),
  libglib2.0-dev,

## flatpak 1.16.3

=== debian/changelog ===
flatpak (1.16.3-1) unstable; urgency=medium

  * New upstream stable release
    - In flatpak-build(1), only provide /run/host/font-dirs.xml if the
      calling process has not already added it, fixing a regression for
      users of GNOME Builder and Foundry (flatpak#6450 upstream)
  * Standards-Version: 4.7.3
    - Remove Priority: optional, unnecessary since Debian 13
  * d/watch: Convert to v5 format
  * d/watch: Only watch stable (even-numbered) releases
    - d/watch.devel: Add a second watch file for development
      (odd-numbered) releases

 -- Simon McVittie <smcv@debian.org>  Sat, 24 Jan 2026 16:05:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,40 @@
 Source: flatpak
 Section: admin
-Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
 # We need polkitd, socat, etc. if !nocheck || !noinsttest
 Build-Depends:
+ debhelper (>= 13.11.6~),
+ debhelper-compat (= 13),
+ dh-exec (>= 0.23~),
+ dh-sequence-gir,
  attr <!nocheck>,
  bison,
  bubblewrap (>= 0.10.0~),
  ca-certificates <!nocheck>,
  dbus-daemon,
- debhelper (>= 13.11.6~),
- debhelper-compat (= 13),
  desktop-file-utils <!nocheck>,
- dh-exec (>= 0.23~),
- dh-sequence-gir,
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
  fuse3,
  gir1.2-gio-2.0-dev,
  gir1.2-gobject-2.0-dev,
  gnupg <!nocheck>,
- gobject-introspection (>= 1.54.1-2~),
- gtk-doc-tools,
+ gobject-introspection (>= 1.80),
  gtk-update-icon-cache <!nocheck>,
  hicolor-icon-theme <!nocheck>,
  libappstream-dev (>= 0.12.0),
  libarchive-dev (>= 2.8.0),
  libattr1-dev,
  libcap-dev,
- libcurl4-gnutls-dev | libcurl-dev,
+ libcurl4-openssl-dev | libcurl-dev,
  libdconf-dev,
  libdw-dev,
  libelf-dev,
  libfuse3-dev (>= 3.1.1),
  libgdk-pixbuf-2.0-dev,
- libgirepository1.0-dev,
  libglib2.0-dev (>= 2.44),
  libgpgme-dev (>= 1.1.8),
  libjson-glib-dev,
@@ -57,8 +54,8 @@
  pkgconf,
  polkitd <!nocheck> <!noinsttest>,
  procps,
+ python3-pyparsing,
  python3:any,
- python3-pyparsing,
  shared-mime-info <!nocheck>,
  socat <!nocheck> <!noinsttest>,
  wayland-protocols,
@@ -66,13 +63,14 @@
  xmlto <!nodoc>,
  xsltproc <!nodoc>,
 Build-Depends-Indep:
- libglib2.0-doc,
- libostree-doc,
-Standards-Version: 4.7.2
+ gtk-doc-tools <!nodoc>,
+ libglib2.0-doc <!nodoc>,
+ libostree-doc <!nodoc>,
+Standards-Version: 4.7.3
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak.git -b debian/trixie
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak
-Rules-Requires-Root: no
+X-Style: black
 
 Package: flatpak
 Architecture: linux-any
@@ -87,8 +85,8 @@
  ca-certificates,
  default-dbus-system-bus | dbus-system-bus,
  desktop-file-utils,
+ gtk-update-icon-cache,
  hicolor-icon-theme,
- gtk-update-icon-cache,
  libpam-systemd,
  p11-kit,
  polkitd,
@@ -167,10 +165,10 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
+ gir1.2-flatpak-1.0 (= ${binary:Version}),
  gir1.2-glib-2.0,
- gir1.2-flatpak-1.0 (= ${binary:Version}),
  libarchive-dev (>= 2.8.0),
- libcurl4-gnutls-dev | libcurl-dev,
+ libcurl4-openssl-dev | libcurl-dev,
  libdconf-dev,
  libflatpak0 (= ${binary:Version}),
  libglib2.0-dev,

=== debian/watch ===
Version: 5

# Upstream releases official tarballs, so we use those in preference to
# git tags
Source: https://github.com/@PACKAGE@/@PACKAGE@/tags
Matching-Pattern: .*/releases/tag/v?(1\.[0-9]*[24680]\.[0-9.]+)
Compression: xz
Download-URL-Mangle: s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#
Dversion-Mangle: s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?//;s/[+~](?:dfsg|ds)[0-9]*//
Filename-Mangle: s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#
Repack-Suffix: +ds

## flatpak 1.17.2

=== meson_options.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 option(
   'dbus_config_dir',
   type : 'string',
-  description : 'directory for D-Bus system configuration [$sysconfdir/dbus-1/system.d]',
+  description : 'directory for D-Bus system configuration [$datadir/dbus-1/system.d]',
   value : '',
 )
 option(
@@ -56,13 +56,6 @@
   value : 'auto',
 )
 option(
-  'http_backend',
-  type : 'combo',
-  description : 'library used to implement HTTP',
-  choices : ['curl', 'soup'],
-  value : 'curl',
-)
-option(
   'installed_tests',
   type : 'boolean',
   description : 'install automated tests',
@@ -72,6 +65,12 @@
   'internal_checks',
   type : 'boolean',
   description : 'enable internal checking',
+  value : false,
+)
+option(
+  'internal_tests',
+  type : 'boolean',
+  description : 'include internal tests in binary',
   value : false,
 )
 option(

=== debian/changelog ===
flatpak (1.17.2-1) experimental; urgency=medium

  * New upstream development release
  * d/copyright: Update
  * d/rules: Stop overriding location for system bus setup snippets.
    The default is now what we want (below /usr).
  * d/rules: Remove obsolete http backend option.
    libcurl is now the only backend available.
  * d/libflatpak-doc.install:
    Install single-file HTML documentation for the library
  * d/libflatpak0.symbols: Update
  * d/control: Some unit tests now require curl(1), file(1), jq(1)
  * d/p/Tell-as-installed-tests-where-they-can-find-triggers.patch:
    Add proposed patch to fix autopkgtest regression in 1.17.0

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Dec 2025 15:53:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: flatpak
 Section: admin
+Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
@@ -14,10 +15,12 @@
  bison,
  bubblewrap (>= 0.10.0~),
  ca-certificates <!nocheck>,
+ curl <!nocheck>,
  dbus-daemon,
  desktop-file-utils <!nocheck>,
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
+ file <!nocheck>,
  fuse3,
  gir1.2-gio-2.0-dev,
  gir1.2-gobject-2.0-dev,
@@ -25,6 +28,7 @@
  gobject-introspection (>= 1.80),
  gtk-update-icon-cache <!nocheck>,
  hicolor-icon-theme <!nocheck>,
+ jq <!nocheck>,
  libappstream-dev (>= 0.12.0),
  libarchive-dev (>= 2.8.0),
  libattr1-dev,
@@ -66,9 +70,9 @@
  gtk-doc-tools <!nodoc>,
  libglib2.0-doc <!nodoc>,
  libostree-doc <!nodoc>,
-Standards-Version: 4.7.3
+Standards-Version: 4.7.2
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak.git
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/debian/flatpak
 X-Style: black
 
@@ -126,12 +130,15 @@
 Depends:
  attr,
  ca-certificates,
+ curl,
  dbus-daemon,
  desktop-file-utils,
+ file,
  flatpak (= ${binary:Version}),
  gnupg,
  gtk-update-icon-cache,
  hicolor-icon-theme,
+ jq,
  ostree (>= 2020.8),
  polkitd,
  shared-mime-info,

=== debian/rules ===
--- 
+++ 
@@ -35,9 +35,7 @@
 	rm -f app/parse-datetime.c
 	dh_auto_configure -- \
 		-Dauto_sideloading=false \
-		-Ddbus_config_dir=/usr/share/dbus-1/system.d \
 		-Dgdm_env_file=true \
-		-Dhttp_backend=curl \
 		-Dprivileged_group=sudo \
 		-Drun_media_dir=/media \
 		-Dselinux_module=disabled \

=== debian/watch ===
version=4
# Upstream releases official 'meson dist' tarballs, so we use
# those in preference to git tags
opts="\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/@PACKAGE@/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@
